summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-sound/mixxx/Manifest1
-rw-r--r--media-sound/mixxx/mixxx-2.1.8.ebuild132
2 files changed, 133 insertions, 0 deletions
diff --git a/media-sound/mixxx/Manifest b/media-sound/mixxx/Manifest
index 6fad19a1ca2..17a51f0a221 100644
--- a/media-sound/mixxx/Manifest
+++ b/media-sound/mixxx/Manifest
@@ -1,4 +1,5 @@
DIST mixxx-2.1.1.tar.gz 34458368 BLAKE2B cf718cfea64fe71e2ccd5f299454fc9d396266052cc2516fa4494216a9d8ae9cea62858bf02e026d5072705df780d6243616d1d1705e3f251bc2392b4dc3d166 SHA512 c0047a238bf39e464f2bc25646ba03138d0b8d27cde667ca7b12bfba5f40d339ce4b426853e048d695b2c59c847e88322e27b91bead467899d7bf1cb43358f20
DIST mixxx-2.1.5.tar.gz 34474975 BLAKE2B 3daf5598cc7efe162157004116ba7fed2d53a2f97b513abd03d7ce55731a9de1e85ae5c8d82e1cc1369201f3694b1a295223f70509540ca471e6e785070acbd4 SHA512 f46f528fdbd39a14a16ebce3e53c9bae12299cfd405d69e812d87c66e9f3728542f73f1156a352c0637b194f4bb35ecdd599e4bbbfbaa7ebdddcf9a1eb792854
DIST mixxx-2.1.7.tar.gz 34534265 BLAKE2B 63bd7b0002b2b595e8e7b3be6b282e55465221dcdf1a0dbafc454663e87061059dbac66b764c3c3f59446d3794f2d43f9dd0f087ffa6cb7215361d8d0e51dca6 SHA512 976bb76b360ec8a81a6e497d193e7e450afadb66be4c2648a198884a3bafee7efed3b2fa57d0c5cb9bfa216e69e51db588cdc274aaca8dc0f22486949732167a
+DIST mixxx-2.1.8.tar.gz 34652727 BLAKE2B d996bb07a5914e5a3b8f276130e1f8fb46a9493e192e45a1b65cdb961b1a7ca0e98fed69d894ace8e61ee72231a1d8ba731921e46d3601ad0d41a79aa04a47ab SHA512 c1423bec9b3a9654ece5ae68c0f72975dcd2a9cee377520e56d4f35366a3bb23157c9c64f0f2b8a61d36e5d818216b64cb6aae53ca2b8e3dfa865b8911a7e1eb
DIST mixxx-2.2.0.tar.gz 34639153 BLAKE2B b99d05508f3f59debf026fdc5102f213eaa10a747c234e3f8f1782af9c07fb30c4641ca3c15fc634e2e8081966f8897751fb7bc72928f8b07a3c9c6d9d728530 SHA512 8174b504d236cde36c636985e0e224915f0be69b13691bf0d88c21087c20c1100ff55561b6e395d97fe5b21a0229fe9ecdac2493cb44fa99a42549c368fa2134
diff --git a/media-sound/mixxx/mixxx-2.1.8.ebuild b/media-sound/mixxx/mixxx-2.1.8.ebuild
new file mode 100644
index 00000000000..ab11da0490b
--- /dev/null
+++ b/media-sound/mixxx/mixxx-2.1.8.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic scons-utils toolchain-funcs
+
+DESCRIPTION="Advanced Digital DJ tool based on Qt"
+HOMEPAGE="https://www.mixxx.org/"
+if [[ "${PV}" == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/mixxxdj/${PN}.git"
+else
+ #SRC_URI="https://downloads.mixxx.org/${P}/${P}-src.tar.gz"
+ SRC_URI="https://github.com/mixxxdj/${PN}/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}-release-${PV}"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="aac doc ffmpeg hid mp3 mp4 opus shout wavpack"
+
+# fails to compile system-fidlib. Add ">media-libs/fidlib-0.9.10-r1" once this
+# got fixed
+RDEPEND="
+ dev-db/sqlite
+ dev-libs/glib:2
+ dev-libs/protobuf:0=
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtscript:5[scripttools]
+ dev-qt/qtsql:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/chromaprint
+ media-libs/flac
+ media-libs/libid3tag
+ media-libs/libogg
+ media-libs/libsndfile
+ >=media-libs/libsoundtouch-1.5
+ media-libs/libvorbis
+ >=media-libs/portaudio-19_pre
+ media-libs/portmidi
+ media-libs/rubberband
+ media-libs/taglib
+ media-libs/vamp-plugin-sdk
+ sci-libs/fftw:3.0=
+ sys-power/upower
+ virtual/libusb:1
+ virtual/opengl
+ x11-libs/libX11
+ aac? (
+ media-libs/faad2
+ media-libs/libmp4v2:0
+ )
+ hid? ( dev-libs/hidapi )
+ mp3? ( media-libs/libmad )
+ mp4? ( media-libs/libmp4v2:= )
+ opus? ( media-libs/opusfile )
+ shout? ( media-libs/libshout )
+ wavpack? ( media-sound/wavpack )
+ ffmpeg? ( media-video/ffmpeg:0= )
+"
+# media-libs/rubberband RDEPENDs on sci-libs/fftw:3.0
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+ dev-qt/qttest:5
+ dev-qt/qtxmlpatterns:5
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.0.0-docs.patch
+)
+
+src_prepare() {
+ # use multilib compatible directory for plugins
+ sed -i -e "/unix_lib_path =/s/'lib'/'$(get_libdir)'/" src/SConscript || die
+
+ default
+}
+
+src_configure() {
+ local myoptimize=0
+
+ # Required for >=qt-5.7.0 (bug #590690)
+ append-cxxflags -std=c++11
+
+ # Try to get cpu type based on CFLAGS.
+ # Bug #591968
+ for i in $(get-flag mcpu) $(get-flag march) ; do
+ if [[ ${i} = native ]] ; then
+ myoptimize="native"
+ break
+ fi
+ done
+
+ myesconsargs=(
+ prefix="${EPREFIX}/usr"
+ qtdir="${EPREFIX}/usr/$(get_libdir)/qt5"
+ faad="$(usex aac 1 0)"
+ ffmpeg="$(usex ffmpeg 1 0)"
+ hid="$(usex hid 1 0)"
+ hifieq=1
+ m4a="$(usex mp4 1 0)"
+ mad="$(usex mp3 1 0)"
+ optimize="${myoptimize}"
+ opus="$(usex opus 1 0)"
+ qt5=1
+ shoutcast="$(usex shout 1 0)"
+ vinylcontrol=1
+ wv="$(usex wavpack 1 0)"
+ )
+}
+
+src_compile() {
+ CC="$(tc-getCC)" CXX="$(tc-getCXX)" LINKFLAGS="${LDFLAGS}" \
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)" escons ${myesconsargs[@]}
+}
+
+src_install() {
+ CC="$(tc-getCC)" CXX="$(tc-getCXX)" LINKFLAGS="${LDFLAGS}" \
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)" escons ${myesconsargs[@]} \
+ install_root="${ED%/}"/usr install
+
+ dodoc README Mixxx-Manual.pdf
+}